:root {
    --motion-ease: cubic-bezier(0.68, -0.6, 0.32, 1.6);
    --motion-duration: 0.3s;
  }
  .card{
    height: 300px;
  }
header+h1 {
    margin-top: 15px;
    width: 90%;
}
.main_content {
    text-align: center;
    
}


.navigation_links{
    height: fit-content;
}
main {
    display: grid;
    grid-template-areas:
        "skillSet"
        "Approach"
        "Project";
}
.skill_set h3{
    text-decoration: underline;
}
.hamburger_menu ul li{
    width: 100px;
}
ul {
    list-style: none;
    padding: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 22rem;
    justify-content: center;
}
ul li:before {
    content: '✓ ';
    color: var(--secondary_color);
    font-size: 14px;
}
.project_approach {
    display: flex;
    margin: 0 auto;
    flex-direction: column;
    align-items: center;
}
.sub_heading {
    padding-top: 10px;
    padding-bottom: 10px;
}
li {
    align-self: start;
}
.list_items {
    display: flex;
    justify-content: center;
    width: 90%;
    margin: 0 auto;

}
.card {

    border-style: none;
    justify-self: center;
    margin-bottom: 10px;

}
.commit {
    background-color: var(--bg_grey);
    grid-area: "card1";

}
.innovative {
    background-color: var(--primary_secondary_color);
    grid-area: "card3";
}
.results {
    background-color: var(--bg_grey);
    grid-area: "card3";
}
.card>p {
    margin-left: 30px;
    margin-right: 30px;
}
.project_president {
    grid-area: "Project";
    display: flex;
    background-color: var(--primary_secondary_color);
    margin: 20px auto;
    width: 90%;
    height: 500px;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    border-radius: 15px;
    
}
.project_bio_pages {
    grid-area: "Project";
    display: flex;
    background-color: var(--primary_secondary_color);
    margin: 10px auto;
    width: 90%;
    height: 500px;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    border-radius: 15px;
    
}

.project_image {
    margin: 10px;
    background-image: url("../../assets/images/Zuma.png");
    background-size: cover;
    width: 50%;
    height: 250%;
}
.project_image_biopage {
    margin: 20px 10px 20px 10px;
    background-image: url("../../assets/images/whakateam_website.png");
    background-position: center;
    background-size:cover;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
}

.project_image_stellarApex {
    margin: 20px 10px 20px 10px;
    background-image: url("../../assets/images/stellarApexTitle.png");
    background-position: center;
    background-size:cover;
    background-repeat: no-repeat;
    width: 80%;
    height: 100%;
}

.project_image_khoikhronicles{
    margin: 20px 10px 20px 10px;
    background-image: url("../../assets/project_assets/block_8/KhoiKhronicles_Ascii.png");
    background-position: center;
    background-size:cover;
    background-repeat: no-repeat;
    width: 80%;
    height: 100%;
}
.project_showcase>h3 {
    font-weight: bold;
}
.project_text {
    width: 60%;
    height: auto;
    float: right;
    padding-right: 10px;
    margin-top: 20px;
    margin-left: 30px;
}


.dark_blue_box {
    display: none;
}
.navigation_links li::before {
    content: "";

}
@media (min-width: 768px) {
    .skill_set h3{
        text-decoration: none;
    }
    .card {
        width: 230px;
    }
    h1 {
        font-size: 32px;
    }
    h3 {
        font-size: 32px;
    }
    h4 {
        font-size: 20px;
    }
    .project_approach {
        display: grid;
        grid-template-columns: repeat(3, auto);
        grid-template-rows: 100px 1fr;
        grid-template-areas:
            ".     approach  ."
            "commit  innov  tail";
        grid-gap: 20px;
    }
    .project_approach>h3 {
        grid-area: approach;
    }
    .commit {
        grid-area: commit;

    }
    .innovative {
        grid-area: innov;
    }
    .results {
        grid-area: tail;
    }
    .project_image {
        width: 150px;
        height: 258px;
        padding-left: 50%;
    }
    .project_image_biopage {
        width: 150px;
        height: 258px;
        padding-left: 50%;
    }
    .project_president {
        display: grid;
        height: auto;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: 1fr;
        border-radius: 15px;
        margin: 10px;
    }
    .project_bio_pages{
        display: grid;
        height: auto;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: 1fr;
        border-radius: 15px;
        margin: 10px;
    }
    .skill_set_container {
        display: flex;
        margin: 0 auto;
    }
    .dark_blue_box {
        display: inline-block;
        width: 50px;
        height: 249px;
    }
    .skill_set {
        padding: 20px;
        background-color: var(--primary_secondary_color);
        width: fit-content;
    }
    ul li:before {
        content: ' ';
    }
    header+h1 {
        margin-bottom: 30px;
    }
}
.project_approach h4:has(+ div)+div {
    width: 200px;
    height: 100px;
    margin: 0 auto;
}
.project_image:hover {
    transform: scale(1.05);
    transition: .3s ease-in-out;
}
.project_image_biopage:hover {
    transform: scale(1.05);
    transition: .3s ease-in-out;
}


button {
    appearance: none;
    background: transparent;
    border: 0;
    color: #fff;
    cursor: pointer;
    font: inherit;
    font-weight: 500;
    line-height: 1;
    padding: 1em 1.5em;
    position: relative;
    transition: filter var(--motion-duration);
    margin-bottom: 10px;
    
  }
  
  button:hover {
    filter: brightness(1.1);
  }
  
  button:active {
    filter: brightness(0.9);
  }
  
  button > span {
    display: block;
    position: relative;
    transition: transform var(--motion-duration) var(--motion-ease);
    z-index: 1;
  }
  
  button:hover > span {
    transform: scale(1.05);
  }
  
  button:active > span {
    transform: scale(0.95);
  }
  
  button > svg {
    fill: white;
    position: absolute;
    top: -5%;
    left: -5%;
    width: 110%;
    height: 110%;
  }
  
  button > svg > path {
    transition: var(--motion-duration) var(--motion-ease);
  }
  
  button:hover > svg > path {
    d: path("M0,0 C0,-5 100,-5 100,0 C105,0 105,100 100,100 C100,105 0,105 0,100 C-5,100 -5,0 0,0");
    /* need to find a way to fix this svg path error  */
  }
  
  button:active > svg > path {
    d: path("M0,0 C30,10 70,10 100,0 C95,30 95,70 100,100 C70,90 30,90 0,100 C5,70 5,30 0,0");
  }
  span{
    color: black;
  }
  span a{
    text-decoration: none;

  }

  @media screen and (min-width: 280px) and (max-width: 281px) {
    

    header {
        width: 115vw;
        margin: 0 auto;
        padding: 10px 0 0 0;
      }
      .logo_images{
        padding-left: 20px;
      }
      .main_heading{
        margin-left: 60px;
      }
      .sub_heading{
        margin-left: 60px;
      }
      .main_heading{
        line-height: normal;
      }
      body>header {
        margin-left: 4px;
    }
  }

  @media screen and (min-width: 320px)  {
    

  
      .main_heading{
        margin-left: 40px;
      }
      .sub_heading{
        margin-left: 60px;
      }
     
  }
@media  screen and (max-width:320px) and (min-width:281) {
    body>header{
        margin-left: 30px;
    }
    
}

@media only screen and (max-width: 767px){
    .project_image_biopage {
        width: 80%;
      height: 50%;
    }
    .project_image{
        width: 80%;
        height:50%;
    }
    .project_image_stellarApex{
        width: 80%;
        height:50%;
    }
    .project_image_khoikhronicles{
        width: 80%;
        height:50%;
    }
}